org.codehaus.groovy.binding

## Class PropertyBinding

- java.lang.Object
- - org.codehaus.groovy.binding.PropertyBinding

- All Implemented Interfaces:
    SourceBinding, TargetBinding, TriggerBinding

      public class PropertyBinding
      extends Object
      implements SourceBinding, TargetBinding, TriggerBinding

  Since:
    Groovy 1.1
  Version:
    $Revision: 17076 $
  Author:
    Danno Ferrin

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyBinding(Object bean, String propertyName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FullBinding` | `createBinding(SourceBinding source, TargetBinding target)`
    `Object` | `getBean()`
    `String` | `getPropertyName()`
    `Object` | `getSourceValue()`
    `boolean` | `isNonChangeCheck()`
    `void` | `setBean(Object bean)`
    `void` | `setNonChangeCheck(boolean nonChangeCheck)`
    `void` | `setPropertyName(String propertyName)`
    `void` | `updateTargetValue(Object newValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyBinding

          public PropertyBinding(Object bean,
                         String propertyName)

  - ### Method Detail

    - #### updateTargetValue

          public void updateTargetValue(Object newValue)

      Specified by:
        `updateTargetValue` in interface `TargetBinding`

    - #### isNonChangeCheck

          public boolean isNonChangeCheck()

    - #### setNonChangeCheck

          public void setNonChangeCheck(boolean nonChangeCheck)

    - #### getSourceValue

          public Object getSourceValue()

      Specified by:
        `getSourceValue` in interface `SourceBinding`

    - #### createBinding

          public FullBinding createBinding(SourceBinding source,
                                  TargetBinding target)

      Specified by:
        `createBinding` in interface `TriggerBinding`

    - #### getBean

          public Object getBean()

    - #### setBean

          public void setBean(Object bean)

    - #### getPropertyName

          public String getPropertyName()

    - #### setPropertyName

          public void setPropertyName(String propertyName)